---
title: Suno Persona generieren | RunAPI
description: Verwende den Generate Persona-Endpunkt, um ein Ergebnis in derselben
  Antwort zu erhalten.
url: https://runapi.ai/de/docs/api/suno/generate-persona.md
canonical: https://runapi.ai/de/docs/api/suno/generate-persona
locale: de
---

> HTML-Version: https://runapi.ai/de/docs/api/suno/generate-persona
> Website-Index für KI-Agenten: https://runapi.ai/llms.txt

# Suno Persona generieren

## Übersicht

Verwende den Generate Persona-Endpunkt und lies das Ergebnis aus derselben Antwort.

### Schnellstart

1. Erstellen Sie einen API-Schlüssel und setzen Sie ihn als RUNAPI_API_KEY.
2. Eine POST-Anfrage senden, deren Körper dem Anfrage-Schema entspricht.
3. Das Ergebnis aus dem erfolgreichen Antwortkörper lesen.

## Endpunkt

POST /api/v1/suno/generate_persona

Basis-URL: https://runapi.ai

API-Version: v1

Authentifizierung: Authorization: Bearer YOUR_API_TOKEN

## Unterstützte Modelle

Öffnen Sie eine Modellseite für aktuelle Preise, Ratenlimits und Details zur kommerziellen Nutzung.

- [Suno](https://runapi.ai/de/models/suno)

## Anfrage-Schema

Nur die für diesen Endpunkt deklarierten Felder senden.

### Anfragekörper

```json
{
  "audio_id": {
    "description": "Audio-ID innerhalb der Quell-Task.",
    "required": true,
    "type": "string"
  },
  "description": {
    "description": "Persona-Beschreibung.",
    "required": true,
    "type": "string"
  },
  "name": {
    "description": "Persona-Name.",
    "required": true,
    "type": "string"
  },
  "task_id": {
    "description": "Quell-Task-ID mit Referenz-Vocals.",
    "required": true,
    "type": "string"
  }
}
```

## Erfolgsantwort

HTTP 200 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "persona": {
      "properties": {
        "description": {
          "type": "string"
        },
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "name",
        "description"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  },
  "required": [
    "persona",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "persona": {
    "description": "A warm and expressive vocal character.",
    "id": "persona_reference",
    "name": "Studio Voice"
  }
}
```

## Fehler

HTTP 401 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "Authentication required"
}
```

## Fehler

HTTP 400 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Für Menschen lesbare Fehlermeldung.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Menschenlesbare Validierungszusammenfassung.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validierungsmeldungen nach öffentlichem Anforderungsfeld gegliedert, mit einem Array menschenlesbarer Zeichenketten für jedes Feld.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Antwortbeispiel

```json
{
  "error": "Validation failed",
  "errors": {
    "task_id": [
      "is required"
    ]
  }
}
```

## Fehler

HTTP 402 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "Insufficient balance"
}
```

## Fehler

HTTP 429 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "API key credit limit exceeded"
}
```

## Fehler

HTTP 409 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Fehler

HTTP 429 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Fehler

HTTP 503 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Fehler

HTTP 504 - POST /api/v1/suno/generate_persona

### Antwort-Schema

```json
{
  "properties": {
    "error": {
      "description": "Für Menschen lesbare Fehlermeldung.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Antwortbeispiel

```json
{
  "error": "The request timed out"
}
```

## Generierte Code-Beispiele

Verwende cURL direkt oder installiere ein SDK für deine Programmiersprache. Jedes Beispiel übermittelt die in dieser Referenz gezeigte validierte Anfrage.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/suno/generate_persona \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"task_id":"tsk_reference_demo","audio_id":"audio_reference","name":"Studio Style","description":"A warm and expressive acoustic pop style."}'
```

### javascript

#### Installieren

```bash
npm install @runapi.ai/suno
```

```javascript
import { SunoClient } from "@runapi.ai/suno";

const client = new SunoClient({ apiKey: process.env.RUNAPI_API_KEY });
const result = await client.generatePersona.run({
  "task_id": "tsk_reference_demo",
  "audio_id": "audio_reference",
  "name": "Studio Style",
  "description": "A warm and expressive acoustic pop style."
});
```

### python

#### Installieren

```bash
pip install runapi-suno
```

```python
import os
from runapi.suno import SunoClient

client = SunoClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.generate_persona.run(
  task_id="tsk_reference_demo",
  audio_id="audio_reference",
  name="Studio Style",
  description="A warm and expressive acoustic pop style."
)
```

### go

#### Installieren

```bash
go get github.com/runapi-ai/suno-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  suno "github.com/runapi-ai/suno-sdk/go/suno"
)

func main() {
  client, err := suno.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  result, err := client.GeneratePersona.Run(context.Background(), suno.GeneratePersonaParams{
    TaskID: "tsk_reference_demo",
    AudioID: "audio_reference",
    Name: "Studio Style",
    Description: "A warm and expressive acoustic pop style.",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = result
}
```

### ruby

#### Installieren

```bash
gem install runapi-suno
```

```ruby
require "runapi/suno"

client = RunApi::Suno::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
result = client.generate_persona.run(
  task_id: "tsk_reference_demo",
  audio_id: "audio_reference",
  name: "Studio Style",
  description: "A warm and expressive acoustic pop style."
)
```

### java

#### Installieren

```kotlin
implementation("ai.runapi:runapi-suno")
```

```java
import ai.runapi.suno.SunoClient;
import ai.runapi.suno.types.GeneratePersonaParams;
import ai.runapi.suno.types.GeneratePersonaResponse;

public final class Example {
  public static void main(String[] args) {
    SunoClient client = SunoClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    GeneratePersonaResponse result = client.generatePersona().run(
        GeneratePersonaParams.builder()
        .taskId("tsk_reference_demo")
        .audioId("audio_reference")
        .name("Studio Style")
        .description("A warm and expressive acoustic pop style.")
            .build()
    );
  }
}
```

### php

#### Installieren

```bash
composer require runapi-ai/suno
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Suno\SunoClient;

$client = new SunoClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$result = $client->generatePersona->run([
  "task_id" => "tsk_reference_demo",
  "audio_id" => "audio_reference",
  "name" => "Studio Style",
  "description" => "A warm and expressive acoustic pop style."
]);
```

## Verwandte Anleitungen

- [Authentifizierung](https://runapi.ai/de/docs/guides/authentication.md)
- [Schnellstart](https://runapi.ai/de/docs/guides/task-api/quickstart.md)

---

## Mehr von RunAPI

- [Startseite](https://runapi.ai/de/.md)
- [Modellkatalog](https://runapi.ai/de/models.md)
- [Preise](https://runapi.ai/de/pricing.md)
- [Anbieter](https://runapi.ai/de/models)
- [Dokumentation](https://runapi.ai/de/docs/guides)
- [SDKs](https://runapi.ai/de/sdk.md)
- [CLI](https://runapi.ai/de/cli.md)
- [MCP Server](https://runapi.ai/de/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/de/claude-code-vs-cursor.md)
- [Cursor API-Einrichtung](https://runapi.ai/de/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/de/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/de/contact.md)
- [Kontakt](https://runapi.ai/de/contact.md)
- [Bedingungen](https://runapi.ai/de/terms.md)
- [Datenschutz](https://runapi.ai/de/privacy.md)
- [Website-Index für KI-Agenten](https://runapi.ai/llms.txt)

Kontakt: contact@runapi.ai

## Strukturierte Daten

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "de",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/de",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/de/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "de",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/de",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/deicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "de",
    "@type": "TechArticle",
    "headline": "Suno Persona generieren",
    "description": "Verwende den Generate Persona-Endpunkt, um ein Ergebnis in derselben Antwort zu erhalten.",
    "url": "https://runapi.ai/de/docs/api/suno/generate-persona",
    "mainEntityOfPage": "https://runapi.ai/de/docs/api/suno/generate-persona"
  }
]
```
